package com.cool.store.service;

import com.cool.store.entity.RegionDO;
import com.cool.store.vo.RegionPathNameVO;

import java.util.List;
import java.util.Map;

public interface RegionService {

    RegionPathNameVO getAllRegionName(Long regionId);

    /**
     * 获取所属战区
     * @param regionId
     * @return
     */
    String getBelongWarRegionName(Long regionId);

    /**
     * 获取所属战区
     * @param regionIds
     * @return
     */
    Map<Long, String> getBelongWarRegionNameMap(List<Long> regionIds);

    /**
     * 根据意向区域找大区id
     * @param wantShopAreaId
     * @return
     */
    Long getBigRegionIdByAreaId(Long wantShopAreaId);

    List<RegionDO> listByThirdRegionType(Long parentId, String thirdRegionType);

    /**
     * 获取当前区域regionId 和所有子区域regionId
     * @param regionIds
     * @return
     */
    List<String> getSubRegionIdsByRegionIds(List<String> regionIds);

}
